package twlauncher5;


$time_code = time;

($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime(time);
$year = $year+1900;
$mon = $mon + 1;



sub head_launch{

if($print_mode eq "smart"){
$meta = <<END;
$meta
<meta name="viewport" content="width=device-width,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no"/>
END
$css_fname = 'smart.css';
}
else{
$css_fname = 'pc.css';
if($layout_order ne ""){$css_layout = qq|<link href="./css/$layout_order" rel="stylesheet" type="text/css">|}
}

if($css_order ne ""){$css_fname = $css_order}

$jpshead_code=<<END;
Content-type: text/html\n
<!DOCTYPE html>
<head>
<meta charset="UTF-8">
<meta name="copyright" content="Copyright (C) $year $site_title">
$meta
<title>$site_title $location</title>
<link href="./css/$css_fname" rel="stylesheet" type="text/css">
$css_layout
</head>
<body>
END
print "$jpshead_code";

}



sub foot_launch{

$jpsfoot_code=<<END;
</body>
</html>
END

print "$jpsfoot_code";

}



sub imput_window{

### format 各変数項目省略可 ###
#
#     $twlauncher5::fds_pic = "";
#     $twlauncher5::fds_title = "";
#     $twlauncher5::fds_intro = "";
#     $twlauncher5::fds_body = "";
#     $twlauncher5::fds_sns = "";
# 
#    $twlauncher5::fds_col = "";
#     $twlauncher5::fds_link = "";
#     $twlauncher5::fds_mode = "";
#
#     twlauncher5::push_window();
#
### format 各変数項目省略可 ###

$block_n = '_block';
$pic_n = '_pic';
$title_n = '_title';
$intro_n = '_intro';
$body_n = '_body';

if($fds_pic ne ""){$fds_pic_prm = qq|<div class="$fds_col$pic_n">$fds_pic</div>|}
else{$fds_pic_prm = ""}
if($fds_title ne ""){$fds_title_prm = qq|<div class="$fds_col$title_n">$fds_title</div>|}
else{$fds_title_prm = ""}
if($fds_intro ne ""){$fds_intro_prm = qq|<div class="$fds_col$intro_n">$fds_intro</div>|}
else{$fds_intro_prm = ""}
if($fds_body ne ""){$fds_body_prm = qq|<div class="$fds_col$body_n">$fds_body</div>|}
else{$fds_body_prm = ""}
if($fds_sns ne ""){$fds_sns_prm = qq|<div class="sns">$fds_sns</div>|}
else{$fds_sns_prm = ""}

if($fds_link ne ""){$fds_link_head = qq|<a href="$fds_link">|; $fds_link_foot = "</a>";}
else{$fds_link_head = ""; $fds_link_foot = "";}

if($fds_mode ne ""){$fds_mode_prm = "_$fds_mode"}
else{$fds_mode_prm = "";}

$window_serv = <<END;
<div class="$fds_col$block_n$fds_mode_prm">
$fds_link_head
$fds_pic_prm
$fds_title_prm
$fds_intro_prm
$fds_body_prm
$fds_link_foot
$fds_sns_prm
</div>
END

}



sub clear_data{

$fds_pic = "";
$fds_title = "";
$fds_intro = "";
$fds_body = "";
$fds_sns = "";

$fds_col = "";
$fds_link = "";
$fds_mode = "";


}



sub push_window{

&imput_window;
if($fds_col eq "navi"){push(@prm_navi, $window_serv)}
elsif($fds_col eq "content"){push(@prm_content, $window_serv)}
elsif($fds_col eq "extra"){push(@prm_extra, $window_serv)}
&clear_data;

}


sub unshift_window{

&imput_window;
if($fds_col eq "navi"){unshift(@prm_navi, $window_serv)}
elsif($fds_col eq "content"){unshift(@prm_content, $window_serv)}
elsif($fds_col eq "extra"){unshift(@prm_extra, $window_serv)}
&clear_data;

}


sub push_na{

if($fds_col eq "navi"){push(@prm_navi, $fds_body)}
elsif($fds_col eq "content"){push(@prm_content, $fds_body)}
elsif($fds_col eq "extra"){push(@prm_extra, $fds_body)}
&clear_data;

}


sub unshift_na{

if($fds_col eq "navi"){unshift(@prm_navi, $fds_body)}
elsif($fds_col eq "content"){unshift(@prm_content, $fds_body)}
elsif($fds_col eq "extra"){unshift(@prm_extra, $fds_body)}
&clear_data;

}



sub output{

if($lang_mode eq "jp"){$office_link = 'http://turbo-works.com'}
elsif($lang_mode eq "en"){$office_link = 'http://turbo-works.com/us/'}
else{$office_link = 'http://turbo-works.com'}


if($print_mode eq "smart"){
print <<END;
<div id="header">
<header>
$shead_source
</header>
</div>
$smart_top
<div id="content">@prm_content</div>
<div id="navigation">@prm_navi</div>
<div id="extra">@prm_extra</div>
$smart_bottom
<div id="footer">
<footer>
$sfoot_source
<div id="foot2">
<a href="?$uid_p\pr_mode=pc"><img src="./img/def/desktop_icon.png" style="margin:10px; border:none; width:32px; height:32px;"></a>
<a href="?$uid_p\pr_mode=smart"><img src="./img/def/smart_icon.png" style="margin:10px; border:none; width:32px; height:32px;"></a>
<br>
<a href="http://jquery.com/"><img src="./img/def/powerd/jquery.png" style="margin:10px; border:none; height:24px;"></a>
<a href="http://paypal.com/"><img src="./img/def/powerd/paypal.png" style="margin:10px; border:none; height:24px;"></a>
<a href="http://www.tinymce.com/"><img src="./img/def/powerd/tinymce.png" style="margin:10px; border:none; height:24px;"></a>
<a href="http://mark5.turbo-works.com/"><img src="./img/def/powerd/mk5.png" style="margin:10px; border:none; height:24px;"></a>
<a href="$office_link"><img src="./img/def/powerd/tw.png" style="margin:10px; border:none; height:24px;"></a>
</div>
</footer>
</div>
END
}


else{

unshift(@prm_navi, $left_top);
unshift(@prm_content, $center_top);
unshift(@prm_extra, $right_top);
push(@prm_navi, $left_bottom);
push(@prm_content, $center_bottom);
push(@prm_extra, $right_bottom);

print <<END;
<div id="container">

<div  id="header">
<header>
$head_source
</header>
</div>

<div id="wrapper">
<div id="content">
<article>
@prm_content
</article>
</div>
</div>

<div id="navigation">
<nav>
@prm_navi
</nav>
</div>

<div id="extra">
<section>
@prm_extra
</section>
</div>

<div  id="footer">
<footer>
$foot_source
<div id="foot2">
<a href="?$uid_p\pr_mode=pc"><img src="./img/def/desktop_icon.png" style="margin:10px; border:none; width:64px; height:64px;"></a>
<a href="?$uid_p\pr_mode=smart"><img src="./img/def/smart_icon.png" style="margin:10px; border:none; width:64px; height:64px;"></a>
<br>
<a href="http://jquery.com/"><img src="./img/def/powerd/jquery.png" style="margin:10px; border:none;"></a>
<a href="http://paypal.com/"><img src="./img/def/powerd/paypal.png" style="margin:10px; border:none;"></a>
<a href="http://www.tinymce.com/"><img src="./img/def/powerd/tinymce.png" style="margin:10px; border:none;"></a>
<a href="http://mark5.turbo-works.com/"><img src="./img/def/powerd/mk5.png" style="margin:10px; border:none;"></a>
<a href="$office_link"><img src="./img/def/powerd/tw.png" style="margin:10px; border:none;"></a>
</div>
</footer>
</div>

</div>

END
}

}

1;